regina::boost::remove_pointer< T > Struct Template Reference
Utilities

A template class used to remove the indirection from a pointer type. More...

`#include <utilities/boostutils.h>`

## Public Types

typedef T | type
| The template argument with the top-level indirection removed if it is a pointer type. More...

## Detailed Description

### template<typename T>
struct regina::boost::remove_pointer< T >

A template class used to remove the indirection from a pointer type.

If `T` is a pointer type, then

remove_pointer<T>::type

removes the top-level indirection from `T`; otherwise `T` remains unchanged. For example `int*` becomes `int`, but `int&` remains unchanged.

Python:
  Not present.

Author
  This class was taken and modified from the Boost C++ libraries (`http://www.boost.org/`).

## Member Typedef Documentation

template<typename T >

typedef T regina::boost::remove_pointer< T >::type

The template argument with the top-level indirection removed if it is a pointer type.

The documentation for this struct was generated from the following file:

- utilities/boostutils.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).